#!/bin/bash

# Check are you root?
whoami | egrep "^root$l" >/dev/null

if [ $? -ne 0 ]; then
  echo "Warning:you are not root!"
  exit
fi

# Check what kind of the X Server is!
if [ -f /var/log/Xorg.0.log ]; then
  PATH_XServerConfig=$(egrep "Using config file" /var/log/Xorg.0.log|cut -d" " -f5|cut -d\" -f2)
  echo "X Window Config is in $PATH_XServerConfig"    #/etc/X11/xorg.conf
  PATH_XServerModule=$(egrep "ModulePath set to" /var/log/Xorg.0.log|cut -d" " -f5|cut -d\" -f2)
  echo "X Window Module Path is in $PATH_XServerModule"
elif [ -f /var/log/XFree86.0.log ]; then
  PATH_XServerConfig=$(egrep "Using config file" /var/log/XFree86.0.log|cut -d" " -f5|cut -d\" -f2)
  echo "X Window Config is in $PATH_XServerConfig"    #/etc/X11/XFree86.conf
  PATH_XServerModule=$(egrep "ModulePath set to" /var/log/XFree86.0.log|cut -d" " -f5|cut -d\" -f2)
  echo "X Window Module Path is in $PATH_XServerModule"
else
  echo "I don't know where is your X Server config file."
fi

# Start to uninstall
rm -rf /etc/etandt
rm -f "$PATH_XServerModule"/input/etouch232_drv.o
if [ -f ${PATH_XServerConfig}.bak ]; then
cp ${PATH_XServerConfig}.bak $PATH_XServerConfig
rm -f ${PATH_XServerConfig}.bak
fi
rm -f /root/Desktop/Calibration
rm -f /root/Desktop/Lift-off
rm -f /root/Desktop/Swap
rm -f /usr/local/bin/Calibration
rm -f /usr/local/bin/Lift-off
rm -f /usr/local/bin/Swap
echo Touch Screen Uninstall OK!!
choice=" "
while [ "$choice" != "y" ]; do
echo
echo -n "Do you want to Reboot now? (y/n):"
read choice
echo
case $choice in
      y|Y) echo 'Rebooting...'
           reboot
           echo;;
      n|N) echo 'It is recommaned to reboot after driver uninstalled'
           echo
           break;;
      *) ;;
esac
done

